Subject: drivers/char/hvc_* and /Documentation/powerpc/hvcs.txt

From: Timur Tabi <[email-masked]>
Date: Fri, 25 Jan 2008 16:39:27 -0600

Hi,

I'm working on a console driver for the Freescale hypervisor.  I notice a bunch 
of hvc_* files in the drivers/char directory.  I also noticed 
/Documentation/powerpc/hvcs.txt.

My guess is that hvcs.txt talks about drivers/char/hvcs.c, which is a console 
driver specific to some IBM hypervisor.  The hvc_*.c files are based on that 
code but they're more generic and allow people to write console drivers for 
other hypervisors easliy.  Am I right?

If so, does this mean that I can take hvc_beat.c, modify it to make Freescale 
hypervisor calls instead, and presto, I'm done?

-- 
Timur Tabi
Linux kernel developer at Freescale